package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cpd;
import com.brilliance.isc.vo.remit.CpdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.remit.CptselQueryVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CpdMapper {

    int insert(Cpd record);

    int insertSelective(Cpd record);

    int updateByPrimaryKeySelective(Cpd record);

    int updateByPrimaryKey(Cpd record);

    int deleteByPrimaryKey(Cpd record);

    Cpd selectByPrimaryKey(Cpd record);

    List<CpdWithPtsCbbResponseVo> queryCpd(CptselQueryVo cptselQueryVo);

    Cpd selectByWhere(Cpd record);

    Cpd selectByownref(@Param("ownref") String ownref);

    Cpd selectByOwnBchkey(@Param("ownref") String ownref, @Param("bchkeyinr") String bchkeyinr);

    List<CpdWithPtsCbbResponseVo> queryCpdInfo(CptselQueryVo cptselQueryVo);

    Cpd selectCpdBytrninr(String inr);

    Cpd selectByInr(@Param("inr") String inr);

}
